      Integer Function strdpl(stpl, finpl, thcode, strand)              STRD001
c                                                                       STRD002
c     find the next occurrence of the code if any in the array          STRD003
c                                                                       STRD004
      include 'sstruc.par'                                              STRD005
      integer stpl, finpl, thcode, strand(2,maxres)                     STRD006
      integer nxpl                                                      STRD007
                                                                        STRD008
      do 1000, nxpl = stpl + 1, finpl                                   STRD009
      If (strand(1,nxpl) .eq. thcode) go to 1100                        STRD010
      If (strand(2,nxpl) .eq. thcode) go to 1100                        STRD011
 1000 continue                                                          STRD012
      nxpl = 0                                                          STRD013
 1100 continue                                                          STRD014
      strdpl = nxpl                                                     STRD015
      END                                                               STRD016
